mxGraphMlShapeEdge (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.io.graphml
Class mxGraphMlShapeEdge

    java.lang.Object
      com.mxgraph.io.graphml.mxGraphMlShapeEdge

    public class mxGraphMlShapeEdge

extends Object

This class represents the properties of a JGraph edge.

Constructor Summary
`mxGraphMlShapeEdge()` Construct an empty Shape Edge Element.
`mxGraphMlShapeEdge(Element shapeEdgeElement)` Constructs a ShapeEdge from a xml shapeEdgeElement.
`mxGraphMlShapeEdge(String text, String style)` Construct a Shape Edge with text and style.

Method Summary
`Element` | `generateElement(Document document)` Generates a ShapeEdge Element from this class.
`String` | `getEdgeSource()`
`String` | `getEdgeTarget()`
`String` | `getStyle()`
`String` | `getText()`
`void` | `setEdgeSource(String edgeSource)`
`void` | `setEdgeTarget(String edgeTarget)`
`void` | `setStyle(String style)`
`void` | `setText(String text)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### mxGraphMlShapeEdge

    public mxGraphMlShapeEdge(String text,
                              String style)

  Construct a Shape Edge with text and style.

  Parameters:
    `text` -
    `style` -

### mxGraphMlShapeEdge

    public mxGraphMlShapeEdge(Element shapeEdgeElement)

  Constructs a ShapeEdge from a xml shapeEdgeElement.

  Parameters:
    `shapeEdgeElement` -

### mxGraphMlShapeEdge

    public mxGraphMlShapeEdge()

  Construct an empty Shape Edge Element.

Method Detail

### generateElement

    public Element generateElement(Document document)

  Generates a ShapeEdge Element from this class.

  Parameters:
    `document` - Document where the key Element will be inserted.
  Returns:
    Returns the generated Elements.

### getText

    public String getText()

### setText

    public void setText(String text)

### getStyle

    public String getStyle()

### setStyle

    public void setStyle(String style)

### getEdgeSource

    public String getEdgeSource()

### setEdgeSource

    public void setEdgeSource(String edgeSource)

### getEdgeTarget

    public String getEdgeTarget()

### setEdgeTarget

    public void setEdgeTarget(String edgeTarget)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.